package com.xmomen.module.system.model;

import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by Jeng on 16/4/2.
 */
public class Dictionary implements Serializable {

    private Integer id;

    /**
     * 字典
     */
    private Integer sysDictionaryId;

    /**
     * 显示值
     */
    private String showValue;

    /**
     * 实际值
     */
    private String realValue;

    /**
     * 排位
     */
    private Integer sortValue;

    /**
     * 0-禁用，1-启用
     */
    private Integer available;

    /**
     * 启用状态描述
     */
    // 可用描述
    private String availableDesc;

    // 获取id
    public Integer getId() {
        return id;
    }

    // 设置id
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取系统字典id
    public Integer getSysDictionaryId() {
        return sysDictionaryId;
    }

    // 设置系统字典id
    public void setSysDictionaryId(Integer sysDictionaryId) {
        this.sysDictionaryId = sysDictionaryId;
    }

    // 获取显示值
    public String getShowValue() {
        return showValue;
    }

    // 设置显示值
    public void setShowValue(String showValue) {
        this.showValue = showValue;
    }

    // 获取实际值
    public String getRealValue() {
        return realValue;
    }

    // 设置实际值
    public void setRealValue(String realValue) {
        this.realValue = realValue;
    }

    // 获取排序值
    public Integer getSortValue() {
        return sortValue;
    }

    // 设置排序值
    public void setSortValue(Integer sortValue) {
        this.sortValue = sortValue;
    }

    // 获取可用状态
    public Integer getAvailable() {
        return available;
    }

    // 设置可用状态
    public void setAvailable(Integer available) {
        this.available = available;
    }

    // 获取可用描述
    public String getAvailableDesc() {
        return availableDesc;
    }

    // 设置可用描述
    public void setAvailableDesc(String availableDesc) {
        this.availableDesc = availableDesc;
    }
}
